<template>
<DxDataGrid
id="grid"
:data-source="dataSource"
:show-borders="true"
/>
</template>
<script>
import DxDataGrid from 'devextreme-vue/data-grid';
import { orders } from './data.js';
export default {
components: {
DxDataGrid
},
data() {
return {
dataSource: orders
};
}
};
</script>
<style>
#grid{
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"/>
</div>
</body>
</html>
export const orders = [{
'OrderNumber': 35703,
'SaleAmount': 11800,
'StoreCity': 'Los Angeles',
'StoreState': 'California',
'Employee': 'Harv Mudd',
'OrderDate': '2014/04/10'
}, {
'OrderNumber': 35711,
'OrderDate': '2014/01/12',
'SaleAmount': 16050,
'StoreState': 'California',
'StoreCity': 'San Jose',
'Employee': 'Jim Packard'
}, {
'OrderNumber': 35714,
'OrderDate': '2014/01/22',
'SaleAmount': 14750,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 35983,
'OrderDate': '2014/02/07',
'SaleAmount': 3725,
'StoreState': 'Colorado',
'StoreCity': 'Denver',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 36987,
'OrderDate': '2014/03/11',
'SaleAmount': 14200,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 38466,
'OrderDate': '2014/03/01',
'SaleAmount': 7800,
'StoreState': 'California',
'StoreCity': 'Los Angeles',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 39420,
'OrderDate': '2014/02/15',
'SaleAmount': 20500,
'StoreState': 'California',
'StoreCity': 'San Jose',
'Employee': 'Jim Packard'
}, {
'OrderNumber': 39874,
'OrderDate': '2014/02/04',
'SaleAmount': 9050,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 42847,
'OrderDate': '2014/02/15',
'SaleAmount': 20400,
'StoreState': 'Wyoming',
'StoreCity': 'Casper',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 43982,
'OrderDate': '2014/05/29',
'SaleAmount': 6050,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 56272,
'OrderDate': '2014/05/16',
'SaleAmount': 15850,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 57429,
'OrderDate': '2014/04/11',
'SaleAmount': 11050,
'StoreState': 'Arizona',
'StoreCity': 'Phoenix',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 58292,
'OrderDate': '2014/04/05',
'SaleAmount': 13500,
'StoreState': 'California',
'StoreCity': 'Los Angeles',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 62427,
'OrderDate': '2014/05/17',
'SaleAmount': 23500,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 65977,
'OrderDate': '2014/02/13',
'SaleAmount': 2550,
'StoreState': 'Wyoming',
'StoreCity': 'Casper',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 66947,
'OrderDate': '2014/01/06',
'SaleAmount': 3500,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 68428,
'OrderDate': '2014/03/13',
'SaleAmount': 10500,
'StoreState': 'California',
'StoreCity': 'Los Angeles',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 69477,
'OrderDate': '2014/01/22',
'SaleAmount': 14200,
'StoreState': 'California',
'StoreCity': 'Anaheim',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 72947,
'OrderDate': '2014/03/05',
'SaleAmount': 13350,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 73088,
'OrderDate': '2014/01/21',
'SaleAmount': 8600,
'StoreState': 'Nevada',
'StoreCity': 'Reno',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 76927,
'OrderDate': '2014/04/04',
'SaleAmount': 9800,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 77297,
'OrderDate': '2014/01/07',
'SaleAmount': 10850,
'StoreState': 'Arizona',
'StoreCity': 'Phoenix',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 84744,
'OrderDate': '2014/05/20',
'SaleAmount': 4650,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 85028,
'OrderDate': '2014/02/08',
'SaleAmount': 2575,
'StoreState': 'Nevada',
'StoreCity': 'Reno',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 87297,
'OrderDate': '2014/04/08',
'SaleAmount': 14200,
'StoreState': 'Wyoming',
'StoreCity': 'Casper',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 88027,
'OrderDate': '2014/05/18',
'SaleAmount': 13650,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 94726,
'OrderDate': '2014/02/23',
'SaleAmount': 20500,
'StoreState': 'California',
'StoreCity': 'San Jose',
'Employee': 'Jim Packard'
}, {
'OrderNumber': 95266,
'OrderDate': '2014/03/18',
'SaleAmount': 9050,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 98477,
'OrderDate': '2014/05/08',
'SaleAmount': 23500,
'StoreState': 'Wyoming',
'StoreCity': 'Casper',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 99247,
'OrderDate': '2014/02/27',
'SaleAmount': 2100,
'StoreState': 'Utah',
'StoreCity': 'Salt Lake City',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 174884,
'OrderDate': '2014/03/03',
'SaleAmount': 7200,
'StoreState': 'Colorado',
'StoreCity': 'Denver',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 188877,
'OrderDate': '2014/02/14',
'SaleAmount': 8750,
'StoreState': 'Arizona',
'StoreCity': 'Phoenix',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 191883,
'OrderDate': '2014/02/28',
'SaleAmount': 9900,
'StoreState': 'California',
'StoreCity': 'Los Angeles',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 192474,
'OrderDate': '2014/02/18',
'SaleAmount': 12800,
'StoreState': 'California',
'StoreCity': 'Anaheim',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 193847,
'OrderDate': '2014/05/06',
'SaleAmount': 14100,
'StoreState': 'California',
'StoreCity': 'San Diego',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 194877,
'OrderDate': '2014/03/17',
'SaleAmount': 4750,
'StoreState': 'California',
'StoreCity': 'San Jose',
'Employee': 'Jim Packard'
}, {
'OrderNumber': 195746,
'OrderDate': '2014/02/04',
'SaleAmount': 9050,
'StoreState': 'Nevada',
'StoreCity': 'Las Vegas',
'Employee': 'Harv Mudd'
}, {
'OrderNumber': 197474,
'OrderDate': '2014/01/17',
'SaleAmount': 6400,
'StoreState': 'Nevada',
'StoreCity': 'Reno',
'Employee': 'Clark Morgan'
}, {
'OrderNumber': 198746,
'OrderDate': '2014/02/04',
'SaleAmount': 15700,
'StoreState': 'Colorado',
'StoreCity': 'Denver',
'Employee': 'Todd Hoffman'
}, {
'OrderNumber': 214222,
'OrderDate': '2014/02/03',
'SaleAmount': 11050,
'StoreState': 'Arizona',
'StoreCity': 'Phoenix',
'Employee': 'Clark Morgan'
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-vue': 'npm:devextreme-vue@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

Your search did not match any results.
Data Grid

Columns based on a Data Source

To use data source object fields to automatically generate columns, pass an array of objects to the dataSource property and specify the keyExpr - as shown in this example.

Backend API
Copy to CodeSandBox
Apply
Reset
import React from 'react'; import DataGrid from 'devextreme-react/data-grid'; import { orders } from './data.js'; class App extends React.Component { render() { return ( <DataGrid id="grid" dataSource={orders} keyExpr="OrderNumber" showBorders={true} /> ); } } export default App;
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render( <App />, document.getElementById('app'), );
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
#grid { height: 440px; }
export const orders = [{ OrderNumber: 35703, SaleAmount: 11800, StoreCity: 'Los Angeles', StoreState: 'California', Employee: 'Harv Mudd', OrderDate: '2014/04/10', }, { OrderNumber: 35711, OrderDate: '2014/01/12', SaleAmount: 16050, StoreState: 'California', StoreCity: 'San Jose', Employee: 'Jim Packard', }, { OrderNumber: 35714, OrderDate: '2014/01/22', SaleAmount: 14750, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 35983, OrderDate: '2014/02/07', SaleAmount: 3725, StoreState: 'Colorado', StoreCity: 'Denver', Employee: 'Todd Hoffman', }, { OrderNumber: 36987, OrderDate: '2014/03/11', SaleAmount: 14200, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 38466, OrderDate: '2014/03/01', SaleAmount: 7800, StoreState: 'California', StoreCity: 'Los Angeles', Employee: 'Harv Mudd', }, { OrderNumber: 39420, OrderDate: '2014/02/15', SaleAmount: 20500, StoreState: 'California', StoreCity: 'San Jose', Employee: 'Jim Packard', }, { OrderNumber: 39874, OrderDate: '2014/02/04', SaleAmount: 9050, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 42847, OrderDate: '2014/02/15', SaleAmount: 20400, StoreState: 'Wyoming', StoreCity: 'Casper', Employee: 'Todd Hoffman', }, { OrderNumber: 43982, OrderDate: '2014/05/29', SaleAmount: 6050, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 56272, OrderDate: '2014/05/16', SaleAmount: 15850, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 57429, OrderDate: '2014/04/11', SaleAmount: 11050, StoreState: 'Arizona', StoreCity: 'Phoenix', Employee: 'Clark Morgan', }, { OrderNumber: 58292, OrderDate: '2014/04/05', SaleAmount: 13500, StoreState: 'California', StoreCity: 'Los Angeles', Employee: 'Harv Mudd', }, { OrderNumber: 62427, OrderDate: '2014/05/17', SaleAmount: 23500, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 65977, OrderDate: '2014/02/13', SaleAmount: 2550, StoreState: 'Wyoming', StoreCity: 'Casper', Employee: 'Todd Hoffman', }, { OrderNumber: 66947, OrderDate: '2014/01/06', SaleAmount: 3500, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 68428, OrderDate: '2014/03/13', SaleAmount: 10500, StoreState: 'California', StoreCity: 'Los Angeles', Employee: 'Harv Mudd', }, { OrderNumber: 69477, OrderDate: '2014/01/22', SaleAmount: 14200, StoreState: 'California', StoreCity: 'Anaheim', Employee: 'Harv Mudd', }, { OrderNumber: 72947, OrderDate: '2014/03/05', SaleAmount: 13350, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 73088, OrderDate: '2014/01/21', SaleAmount: 8600, StoreState: 'Nevada', StoreCity: 'Reno', Employee: 'Clark Morgan', }, { OrderNumber: 76927, OrderDate: '2014/04/04', SaleAmount: 9800, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 77297, OrderDate: '2014/01/07', SaleAmount: 10850, StoreState: 'Arizona', StoreCity: 'Phoenix', Employee: 'Clark Morgan', }, { OrderNumber: 84744, OrderDate: '2014/05/20', SaleAmount: 4650, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 85028, OrderDate: '2014/02/08', SaleAmount: 2575, StoreState: 'Nevada', StoreCity: 'Reno', Employee: 'Clark Morgan', }, { OrderNumber: 87297, OrderDate: '2014/04/08', SaleAmount: 14200, StoreState: 'Wyoming', StoreCity: 'Casper', Employee: 'Todd Hoffman', }, { OrderNumber: 88027, OrderDate: '2014/05/18', SaleAmount: 13650, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 94726, OrderDate: '2014/02/23', SaleAmount: 20500, StoreState: 'California', StoreCity: 'San Jose', Employee: 'Jim Packard', }, { OrderNumber: 95266, OrderDate: '2014/03/18', SaleAmount: 9050, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 98477, OrderDate: '2014/05/08', SaleAmount: 23500, StoreState: 'Wyoming', StoreCity: 'Casper', Employee: 'Todd Hoffman', }, { OrderNumber: 99247, OrderDate: '2014/02/27', SaleAmount: 2100, StoreState: 'Utah', StoreCity: 'Salt Lake City', Employee: 'Clark Morgan', }, { OrderNumber: 174884, OrderDate: '2014/03/03', SaleAmount: 7200, StoreState: 'Colorado', StoreCity: 'Denver', Employee: 'Todd Hoffman', }, { OrderNumber: 188877, OrderDate: '2014/02/14', SaleAmount: 8750, StoreState: 'Arizona', StoreCity: 'Phoenix', Employee: 'Clark Morgan', }, { OrderNumber: 191883, OrderDate: '2014/02/28', SaleAmount: 9900, StoreState: 'California', StoreCity: 'Los Angeles', Employee: 'Harv Mudd', }, { OrderNumber: 192474, OrderDate: '2014/02/18', SaleAmount: 12800, StoreState: 'California', StoreCity: 'Anaheim', Employee: 'Harv Mudd', }, { OrderNumber: 193847, OrderDate: '2014/05/06', SaleAmount: 14100, StoreState: 'California', StoreCity: 'San Diego', Employee: 'Harv Mudd', }, { OrderNumber: 194877, OrderDate: '2014/03/17', SaleAmount: 4750, StoreState: 'California', StoreCity: 'San Jose', Employee: 'Jim Packard', }, { OrderNumber: 195746, OrderDate: '2014/02/04', SaleAmount: 9050, StoreState: 'Nevada', StoreCity: 'Las Vegas', Employee: 'Harv Mudd', }, { OrderNumber: 197474, OrderDate: '2014/01/17', SaleAmount: 6400, StoreState: 'Nevada', StoreCity: 'Reno', Employee: 'Clark Morgan', }, { OrderNumber: 198746, OrderDate: '2014/02/04', SaleAmount: 15700, StoreState: 'Colorado', StoreCity: 'Denver', Employee: 'Todd Hoffman', }, { OrderNumber: 214222, OrderDate: '2014/02/03', SaleAmount: 11050, StoreState: 'Arizona', StoreCity: 'Phoenix', Employee: 'Clark Morgan', }];
window.config = { transpiler: 'plugin-babel', meta: { 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.6/cjs', 'devextreme-react': 'npm:devextreme-react@22.2.6', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.43/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);

<dx-data-grid
id="gridContainer"
[dataSource]="orders"
keyExpr="OrderNumber"
[showBorders]="true"
></dx-data-grid>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxDataGridModule } from 'devextreme-angular';
import { Service, Order } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
orders: Order[];
constructor(service: Service) {
this.orders = service.getOrders();
}
}
@NgModule({
imports: [
BrowserModule,
DxDataGridModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #gridContainer {
height: 440px;
}
import { Injectable } from '@angular/core';
export class Order {
OrderNumber: number;
SaleAmount: number;
StoreCity: string;
StoreState: string;
Employee: string;
OrderDate: string;
}
const orders: Order[] = [{
OrderNumber: 35703,
SaleAmount: 11800,
StoreCity: 'Los Angeles',
StoreState: 'California',
Employee: 'Harv Mudd',
OrderDate: '2014/04/10',
}, {
OrderNumber: 35711,
OrderDate: '2014/01/12',
SaleAmount: 16050,
StoreState: 'California',
StoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
OrderNumber: 35714,
OrderDate: '2014/01/22',
SaleAmount: 14750,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 35983,
OrderDate: '2014/02/07',
SaleAmount: 3725,
StoreState: 'Colorado',
StoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 36987,
OrderDate: '2014/03/11',
SaleAmount: 14200,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 38466,
OrderDate: '2014/03/01',
SaleAmount: 7800,
StoreState: 'California',
StoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
OrderNumber: 39420,
OrderDate: '2014/02/15',
SaleAmount: 20500,
StoreState: 'California',
StoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
OrderNumber: 39874,
OrderDate: '2014/02/04',
SaleAmount: 9050,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 42847,
OrderDate: '2014/02/15',
SaleAmount: 20400,
StoreState: 'Wyoming',
StoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 43982,
OrderDate: '2014/05/29',
SaleAmount: 6050,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 56272,
OrderDate: '2014/05/16',
SaleAmount: 15850,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 57429,
OrderDate: '2014/04/11',
SaleAmount: 11050,
StoreState: 'Arizona',
StoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
OrderNumber: 58292,
OrderDate: '2014/04/05',
SaleAmount: 13500,
StoreState: 'California',
StoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
OrderNumber: 62427,
OrderDate: '2014/05/17',
SaleAmount: 23500,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 65977,
OrderDate: '2014/02/13',
SaleAmount: 2550,
StoreState: 'Wyoming',
StoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 66947,
OrderDate: '2014/01/06',
SaleAmount: 3500,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 68428,
OrderDate: '2014/03/13',
SaleAmount: 10500,
StoreState: 'California',
StoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
OrderNumber: 69477,
OrderDate: '2014/01/22',
SaleAmount: 14200,
StoreState: 'California',
StoreCity: 'Anaheim',
Employee: 'Harv Mudd',
}, {
OrderNumber: 72947,
OrderDate: '2014/03/05',
SaleAmount: 13350,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 73088,
OrderDate: '2014/01/21',
SaleAmount: 8600,
StoreState: 'Nevada',
StoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
OrderNumber: 76927,
OrderDate: '2014/04/04',
SaleAmount: 9800,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 77297,
OrderDate: '2014/01/07',
SaleAmount: 10850,
StoreState: 'Arizona',
StoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
OrderNumber: 84744,
OrderDate: '2014/05/20',
SaleAmount: 4650,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 85028,
OrderDate: '2014/02/08',
SaleAmount: 2575,
StoreState: 'Nevada',
StoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
OrderNumber: 87297,
OrderDate: '2014/04/08',
SaleAmount: 14200,
StoreState: 'Wyoming',
StoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 88027,
OrderDate: '2014/05/18',
SaleAmount: 13650,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 94726,
OrderDate: '2014/02/23',
SaleAmount: 20500,
StoreState: 'California',
StoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
OrderNumber: 95266,
OrderDate: '2014/03/18',
SaleAmount: 9050,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 98477,
OrderDate: '2014/05/08',
SaleAmount: 23500,
StoreState: 'Wyoming',
StoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 99247,
OrderDate: '2014/02/27',
SaleAmount: 2100,
StoreState: 'Utah',
StoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
OrderNumber: 174884,
OrderDate: '2014/03/03',
SaleAmount: 7200,
StoreState: 'Colorado',
StoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 188877,
OrderDate: '2014/02/14',
SaleAmount: 8750,
StoreState: 'Arizona',
StoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
OrderNumber: 191883,
OrderDate: '2014/02/28',
SaleAmount: 9900,
StoreState: 'California',
StoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
OrderNumber: 192474,
OrderDate: '2014/02/18',
SaleAmount: 12800,
StoreState: 'California',
StoreCity: 'Anaheim',
Employee: 'Harv Mudd',
}, {
OrderNumber: 193847,
OrderDate: '2014/05/06',
SaleAmount: 14100,
StoreState: 'California',
StoreCity: 'San Diego',
Employee: 'Harv Mudd',
}, {
OrderNumber: 194877,
OrderDate: '2014/03/17',
SaleAmount: 4750,
StoreState: 'California',
StoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
OrderNumber: 195746,
OrderDate: '2014/02/04',
SaleAmount: 9050,
StoreState: 'Nevada',
StoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
OrderNumber: 197474,
OrderDate: '2014/01/17',
SaleAmount: 6400,
StoreState: 'Nevada',
StoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
OrderNumber: 198746,
OrderDate: '2014/02/04',
SaleAmount: 15700,
StoreState: 'Colorado',
StoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
OrderNumber: 214222,
OrderDate: '2014/02/03',
SaleAmount: 11050,
StoreState: 'Arizona',
StoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}];
@Injectable()
export class Service {
getOrders(): Order[] {
return orders;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.1.4/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32',
'devextreme-angular': 'npm:devextreme-angular@22.1.4',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.1.4/*/package.json',
'npm:devextreme-angular@22.1.4/ui/*/package.json',
'npm:devextreme-angular@22.1.4/package.json',
'npm:devexpress-diagram@2.1.63/package.json',
'npm:devexpress-gantt@4.1.32/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>